Cyberduck Mountain Duck CLI

#8171 closed defect (fixed)

Not a valid DAV response error message when listing directory

Reported by: warren feld Owned by: dkocher
Priority: normal Milestone: 4.7
Component: webdav Version: 4.5.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description (last modified by dkocher)

I set up an account on Magento's Big Commerce. Set up the WebDAV connection according to the instructions from Big Commerce. The login is successful, but then I get this error message:

LISTING DIRECTORY FAILED (/)
NOT A VALID DAV RESPONSE

I contacted the support at Big Commerce. They could not duplicate the problem on their end. Any idea of what might be happening and how I can correct this?

Below I've copied the event log:

HEAD / HTTP/1.1
Host: landofodds.mybigcommerce.com
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.3 (14140) (Windows 7/6.1) (x86)
Authorization: Basic d2FycmVuQGxhbmRvZm9kZHMuY29tOjdlYzg4YWYzZjZhMDA4NzIxN2JiOTY5NjgwYTc0MzQ3IA==
HTTP/1.1 200 OK
Server: nginx
Date: Tue, 12 Aug 2014 14:42:47 GMT
Content-Type: text/html; charset=UTF-8
Connection: keep-alive
Vary: Accept-Encoding
Set-Cookie: SHOP_SESSION_TOKEN=2p44unm7dri1tpdpth9vee38n4; expires=Tue, 19-Aug-2014 14:42:46 GMT; path=/; domain=.store-cvpk08sj.mybigcommerce.com; HttpOnly
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Content-Encoding: gzip
PROPFIND / HTTP/1.1
Depth: 1
Content-Type: text/xml; charset=utf-8
Content-Length: 99
Host: landofodds.mybigcommerce.com
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.3 (14140) (Windows 7/6.1) (x86)
Authorization: Basic d2FycmVuQGxhbmRvZm9kZHMuY29tOjdlYzg4YWYzZjZhMDA4NzIxN2JiOTY5NjgwYTc0MzQ3IA==
HTTP/1.1 200 OK
Server: nginx
Date: Tue, 12 Aug 2014 14:42:49 GMT
Content-Type: text/html; charset=UTF-8
Transfer-Encoding: chunked
Connection: keep-alive
Vary: Accept-Encoding
Set-Cookie: SHOP_SESSION_TOKEN=qe7bsvds484l5r8pspdkgdcfa6; expires=Tue, 19-Aug-2014 14:42:47 GMT; path=/; domain=.store-cvpk08sj.mybigcommerce.com; HttpOnly
Expires: Thu, 19 Nov 1981 08:52:00 GMT
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache
Content-Encoding: gzip

Change History (7)

comment:1 Changed on Aug 12, 2014 at 3:06:11 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Aug 12, 2014 at 3:16:27 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Have you followed their instructions and downloaded the provided connection profile? You should set /dav in the Default Path of the bookmark.

comment:3 Changed on Apr 7, 2015 at 8:53:21 AM by dkocher

  • Summary changed from error message: listing directory failed. not a valid dav response to Not a valid DAV response error message when listing directory

comment:4 Changed on Apr 9, 2015 at 12:33:24 PM by dkocher

  • Milestone set to 4.7

Fixed in r17280. Duplicate for #8712.

comment:5 follow-up: Changed on May 28, 2015 at 8:21:56 PM by ysayed

  • Resolution worksforme deleted
  • Status changed from closed to reopened

This same issue is happening for me. I'm using a mac which I think might be the issue as I have the latest version of cyberduck installed. Please help!

comment:6 in reply to: ↑ 5 Changed on May 29, 2015 at 7:04:45 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Replying to ysayed:

This same issue is happening for me. I'm using a mac which I think might be the issue as I have the latest version of cyberduck installed. Please help!

Please open a new issue with the transcript from the log drawer (⌘-L) attached.

comment:7 Changed on Jun 4, 2015 at 8:06:44 AM by dkocher

#8857 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software